extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Button Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Button Vue Component
      script(src="/js/motion/button.js")
      f7-motion-button(motion)

    p Button Vue component represents Framework7's <a href="../docs/button.html">Button</a> elements.

    h2 Button Components
    p There are following components included:
    ul
      li `f7-button` - single button
      li `f7-segmented` - segmented wrapper for buttons

    h2 Button Properties
    p Button component has almost the same properties as the <a href="link.html">Link</a> component but with few additional button-specific properties:
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-segmented&gt; properties
        tr
          td raised
          td boolean
          td false
          td Makes segmented raised
        tr
          td raised-ios
          td boolean
          td false
          td Makes segmented raised only in iOS theme
        tr
          td raised-md
          td boolean
          td false
          td Makes segmented raised only in MD theme

        tr
          td round
          td boolean
          td false
          td Makes segmented round
        tr
          td round-ios
          td boolean
          td false
          td Makes segmented round only in iOS theme
        tr
          td round-md
          td boolean
          td false
          td Makes segmented round only in MD theme
        tr
          td strong
          td boolean
          td false
          td Makes strong segmented
        tr
          td strong-ios
          td boolean
          td false
          td Makes strong segmented only in iOS theme
        tr
          td strong-md
          td boolean
          td false
          td Makes strong segmented only in MD theme
        tr
          td tag
          td string
          td div
          td Tag used to render Segmented element
        tr
          th(colspan="4") &lt;f7-button&gt; properties
        tr
          td type
          td string
          td
          td If it is one of `submit`, `button` or `reset` then it will be rendered as `<button>` element with same `type` attribute
        tr
          td tab-link
          td string<br>boolean
          td
          td Enables tab link and specify CSS selector of the target tab (if specified as a string)
        tr
          td tab-link-active
          td boolean
          td false
          td Makes this tab link active
        tr
          td active
          td boolean
          td false
          td Makes this button active state when used in Segmented. Must be used instead of `tab-link-active`
        tr
          td text
          td string
          td
          td Button text label
        tr
          td tooltip
          td string
          td
          td Button <a href="../docs/tooltip.html">tooltip</a> text to show on button hover/press
        tr
          td tooltip-trigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
        tr
          td round
          td boolean
          td false
          td Makes button round
        tr
          td round-ios
          td boolean
          td false
          td Makes button round for iOS theme only
        tr
          td round-md
          td boolean
          td false
          td Makes button round for MD theme only
        tr
          td large
          td boolean
          td false
          td Makes large button
        tr
          td large-ios
          td boolean
          td false
          td Makes large button for iOS theme only
        tr
          td large-md
          td boolean
          td false
          td Makes large button for MD theme only
        tr
          td small
          td boolean
          td false
          td Makes small button
        tr
          td small-ios
          td boolean
          td false
          td Makes small button for iOS theme only
        tr
          td small-md
          td boolean
          td false
          td Makes small button for MD theme only
        tr
          td fill
          td boolean
          td false
          td Makes button filled color
        tr
          td fill-ios
          td boolean
          td false
          td Makes button filled color for iOS theme only
        tr
          td fill-md
          td boolean
          td false
          td Makes button filled color for MD theme only
        tr
          td tonal
          td boolean
          td false
          td Makes tonal style button
        tr
          td tonal-ios
          td boolean
          td false
          td Makes tonal style button for iOS theme only
        tr
          td tonal-md
          td boolean
          td false
          td Makes tonal style button for MD theme only
        tr
          td raised
          td boolean
          td false
          td Makes button raised
        tr
          td raised-ios
          td boolean
          td false
          td Makes button raised only in iOS theme
        tr
          td raised-md
          td boolean
          td false
          td Makes button raised only in MD theme
        tr
          td outline
          td boolean
          td false
          td Makes button outline
        tr
          td outline-ios
          td boolean
          td false
          td Makes button outline only in iOS theme
        tr
          td outline-md
          td boolean
          td false
          td Makes button outline only in MD theme
        tr
          th(colspan="4") &lt;Button&gt; preloader related properties
        tr
          td preloader
          td boolean
          td false
          td Enables button to have preloader
        tr
          td loading
          td boolean
          td false
          td Controls button state to show/hide preloader and hide/show button text (switch button to loading state)
        tr
          td preloader-color
          td string
          td
          td button's preloader color
        tr
          td preloader-size
          td number<br>string
          td
          td button's preloader size
        tr
          th(colspan="4") &lt;f7-button&gt; icon related properties
        +vueLinkIconProps
        tr
          th(colspan="4") &lt;f7-button&gt; navigation/router related properties
        +vueLinkRouterProps
        tr
          th(colspan="4") &lt;f7-button&gt; action related properties
        +vueLinkActionsProps

    h2 Button Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-button&gt; events
        tr
          td click
          td Event will be triggered after click on a button


    h2 Examples
    +examplePreview('vue', 'buttons.vue', 'buttons')
